Bug 1244390 - Zathura draws black borders at the top and bottom of documents.
Summary: Zathura draws black borders at the top and bottom of documents.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: girara
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-18 11:26 UTC by ctaknaust
Modified: 2015-07-29 01:39 UTC (History)
2 users (show)

Fixed In Version: girara-0.2.4-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 01:39:31 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot showcasing the described issue (117.56 KB, image/png)
2015-07-18 11:26 UTC, ctaknaust
no flags Details

Description ctaknaust 2015-07-18 11:26:53 UTC
Created attachment 1053342 [details]
Screenshot showcasing the described issue

Description of problem:

When opening any document in zathura, there are big black borders drawn at the top and bottom of the window. According to upstream's bug tracker[1], this happens due to how GTK 3.16 handles client-side decorations.

[1] https://bugs.pwmt.org/issue469

Version-Release number of selected component:

girara.x86_64                                                  0.2.3-1.fc22
gtk3.x86_64                                                    3.16.5-1.fc22
zathura.x86_64                                                 0.3.2-1.fc22

Steps to Reproduce:

1. Install zathura
2. Try to open any document with it


Additional info:

This bug has been fixed in the latest upstream release.

Comment 1 Petr Šabata 2015-07-20 13:19:48 UTC
I confirm the issue.

This fix will bump girara's soname to '2.0'.  I'll rebuild zathura along with all its plugins and issue a mass update.

Comment 2 Fedora Update System 2015-07-20 15:07:06 UTC
girara-0.2.4-1.fc22,zathura-0.3.2-2.fc22,zathura-cb-0.1.4-2.fc22,zathura-djvu-0.2.4-2.fc22,zathura-pdf-poppler-0.2.5-5.fc22,zathura-ps-0.2.2-7.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/girara-0.2.4-1.fc22,zathura-0.3.2-2.fc22,zathura-cb-0.1.4-2.fc22,zathura-djvu-0.2.4-2.fc22,zathura-pdf-poppler-0.2.5-5.fc22,zathura-ps-0.2.2-7.fc22

Comment 3 Fedora Update System 2015-07-21 08:13:55 UTC
Package girara-0.2.4-1.fc22, zathura-cb-0.1.4-2.fc22, zathura-pdf-poppler-0.2.5-5.fc22, zathura-0.3.2-2.fc22, zathura-djvu-0.2.4-2.fc22, zathura-ps-0.2.2-7.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing girara-0.2.4-1.fc22 zathura-cb-0.1.4-2.fc22 zathura-pdf-poppler-0.2.5-5.fc22 zathura-0.3.2-2.fc22 zathura-djvu-0.2.4-2.fc22 zathura-ps-0.2.2-7.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11849/girara-0.2.4-1.fc22,zathura-0.3.2-2.fc22,zathura-cb-0.1.4-2.fc22,zathura-djvu-0.2.4-2.fc22,zathura-pdf-poppler-0.2.5-5.fc22,zathura-ps-0.2.2-7.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-07-29 01:39:31 UTC
girara-0.2.4-1.fc22, zathura-cb-0.1.4-2.fc22, zathura-pdf-poppler-0.2.5-5.fc22, zathura-0.3.2-2.fc22, zathura-djvu-0.2.4-2.fc22, zathura-ps-0.2.2-7.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.